Bug 78905 - ncftpget displays progress bar when not on tty
ncftpget displays progress bar when not on tty
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: ncftp (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 06:09 EST by Jonathan Kamens
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-04 12:46:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-12-03 06:09:36 EST
I have a script which does an ncftpget in a cron job.  It just started blatting
progress bar crap into the output of the cron job.  It didn't used to do this --
presumably, ncftpget previously was smart enough to notice when it wasn't
running on a tty and suppress the progress bar, but this has been broken.  I'm
running ncftp-3.1.5-1.
Comment 1 Michael Lee Yohe 2002-12-04 12:46:29 EST
I don't think this is a bug since there is an option to disable the progress bar
for ncftpget.  

$ ncftpget --help
NcFTPGet 3.1.3

<snip>
  -v/-V  Do (do not) use progress meters.

So, if you add the "-V" option to your cron job, you should not see the progress
meter stuff in your output.
Comment 2 Karsten Hopp 2002-12-04 15:02:56 EST
A simple update of a package shouldn't break scripts if possible. 
The check for tty was disabled in 3.1.5-1. I've re-enabled it in  
3.1.5-2

Note You need to log in before you can comment on or make changes to this bug.